.\" $NetBSD: u3g.4,v 1.1 2008/10/10 16:37:16 joerg Exp $
.\"
.\" Copyright (c) 2008 AnyWi Technologies
.\" All rights reserved.
.\"
.\" This code is derived from uark.c
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd October 7, 2008
.Dt U3G 4
.Os
.Sh NAME
.Nm u3g
.Nd USB support for 3G datacards
.Sh SYNOPSIS
To compile this driver into the kernel,
place the following lines in your
kernel configuration file:
.Bd -ragged -offset indent
.Cd "device u3g"
.Cd "device ucom"
.Ed
.\".Pp
.\"Alternatively, to load the driver as a
.\"module at boot time, place the following line in
.\".Xr loader.conf 5 :
.\".Bd -literal -offset indent
.\"u3g_load="YES"
.\".Ed
.Sh DESCRIPTION
The
.Nm
driver provides support for the multiple USB-to-serial interfaces exposed by
many 3G USB/PC Card modems.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -bullet -compact
.It
Huawei E220 (E270?)
.It
Huawei Mobile
.It
Novatel MC950D
.It
Option Globetrotter 3G
.It
Option Globetrotter 3G Fusion (only 3G part, not WLAN)
.It
Option Globetrotter 3G Fusion Quad (only 3G part, not WLAN)
.It
Option Globetrotter 3G Quad
.It
Vodafone Mobile Connect Card 3G
.El
.Pp
The supported 3G cards provide the necessary modem port for ppp,
pppd, or mpd connections as well as extra ports (depending on the specific
device) to provide other functions (diagnostic port, SIM toolkit port).
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ubsa 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 5.0 .
The
.Xr ubsa 4
manual page was modified for
.Nm
by
.An Andrea Guzzo Aq aguzzo@anywi.com
in September 2008.
.Sh AUTHORS
The
.Nm
driver was written by
.An Andrea Guzzo Aq aguzzo@anywi.com .
Hardware for testing provided by AnyWi Technologies, Leiden, NL.
